com.r3corda.node.services.persistence / PerFileTransactionStorage

# PerFileTransactionStorage

`class PerFileTransactionStorage : TransactionStorage`

File-based transaction storage, storing transactions per file.

### Constructors

<init> | `PerFileTransactionStorage(storeDir: Path)` File-based transaction storage, storing transactions per file.

### Properties

storeDir | `val storeDir: Path`
transactions | `val transactions: Iterable<SignedTransaction>`
updates | `val updates: <ERROR CLASS><SignedTransaction>` Get a synchronous Observable of updates. When observations are pushed to the Observer, the vault will already incorporate the update.

### Functions

addTransaction | `fun addTransaction(transaction: SignedTransaction): Unit` Add a new transaction to the store. If the store already has a transaction with the same id it will be overwritten.
getTransaction | `fun getTransaction(id: SecureHash): SignedTransaction?` Return the transaction with the given id, or null if no such transaction exists.
track | `fun track(): <ERROR CLASS><List<SignedTransaction>, <ERROR CLASS><SignedTransaction>>` Returns all currently stored transactions and further fresh ones.